For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet the list of all the events for the received emails.
      • GETFetch all events history for one particular received email.
      • GETRetrieve inbound attachment with download token.
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIInbound parsing

Retrieve inbound attachment with download token.

GET
https://api.brevo.com/v3/inbound/attachments/:downloadToken
GET
/v3/inbound/attachments/:downloadToken
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.inboundParsing.getInboundEmailAttachment("downloadToken");
8}
9main();
This endpoint will retrieve inbound attachment with download token.
Was this page helpful?
Previous

Send SMS message asynchronously to a mobile number

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

downloadTokenstringRequired
Token to fetch a particular attachment

Response headers

Content-Dispositionstring
Content-Lengthinteger
Content-Typestring

Response

Attachment information

Errors

400
Bad Request Error
404
Not Found Error